Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.ejb.report
Interface BatchReportGenerator

All Known Subinterfaces:
  BatchReportGeneratorRemote

All Known Implementing Classes:
  BatchReportGeneratorEJB

public interface BatchReportGenerator

Interface for ReportGeneratorImpl

Method Summary
`AssumedMatchReport` | `execAssumedMatchReport(AssumedMatchReportConfig config)` Execute the assumed match report
`DeactivateReport` | `execDeactivateReport(DeactivateReportConfig config)` Execute the deactivate report
`MergeReport` | `execMergeReport(MergeReportConfig config)` Execute the merge report
`KeyStatisticsReport` | `execMonthlyKeyStatisticsReport(KeyStatisticsReportConfig config)` Execute the monthly key statistics report
`PotentialDuplicateReport` | `execPotentialDuplicateReport(PotentialDuplicateReportConfig config)` Execute the potential duplicate report
`UnmergeReport` | `execUnmergeReport(UnmergeReportConfig config)` Execute the unmerge report
`UpdateReport` | `execUpdateReport(UpdateReportConfig config)` Execute the update report
`KeyStatisticsReport` | `execWeeklyKeyStatisticsReport(KeyStatisticsReportConfig config)` Execute the weekly key statistics report
`KeyStatisticsReport` | `execYearlyKeyStatisticsReport(KeyStatisticsReportConfig config)` Execute the yearly key statistics report
`AssumedMatchReport` | `getNextAssumedMatchRecords()` To get the range of assumed match records
`DeactivateReport` | `getNextDeactivateRecords()` To get the range of Deactivated records
`MergeReport` | `getNextMergeRecords()` To get the range of Merged records
`PotentialDuplicateReport` | `getNextPotDupRecords()` To get range of potential duplicate records
`UnmergeReport` | `getNextUnmergeRecords()` To get the range of Unmerged records
`UpdateReport` | `getNextUpdateRecords()` To get the range of Updated records

Method Detail

### execAssumedMatchReport

    public AssumedMatchReport execAssumedMatchReport(AssumedMatchReportConfig config)
                                              throws ReportException

  Execute the assumed match report

  Parameters:
    `config` - Assumed Match Report Configuration
  Returns:
    AssumedMatchReport
  Throws:
    `ReportException` - an error occured

### execDeactivateReport

    public DeactivateReport execDeactivateReport(DeactivateReportConfig config)
                                          throws ReportException

  Execute the deactivate report

  Parameters:
    `config` - deactivate report config
  Returns:
    deactivate report
  Throws:
    `ReportException` - an error occured

### execMergeReport

    public MergeReport execMergeReport(MergeReportConfig config)
                                throws ReportException

  Execute the merge report

  Parameters:
    `config` - merge report config
  Returns:
    merge report
  Throws:
    `ReportException` - an error occured

### execMonthlyKeyStatisticsReport

    public KeyStatisticsReport execMonthlyKeyStatisticsReport(KeyStatisticsReportConfig config)
                                                       throws ReportException

  Execute the monthly key statistics report

  Parameters:
    `config` - key statistics report configuration
  Returns:
    Monthly key statistics report
  Throws:
    `ReportException` - an error occured

### execPotentialDuplicateReport

    public PotentialDuplicateReport execPotentialDuplicateReport(PotentialDuplicateReportConfig config)
                                                          throws ReportException

  Execute the potential duplicate report

  Parameters:
    `config` - potential duplicate report config
  Returns:
    Potential Duplicate Report
  Throws:
    `ReportException` - an error occured

### execUnmergeReport

    public UnmergeReport execUnmergeReport(UnmergeReportConfig config)
                                    throws ReportException

  Execute the unmerge report

  Parameters:
    `config` - unmerge report config
  Returns:
    unmerge report
  Throws:
    `ReportException` - an error occured

### execUpdateReport

    public UpdateReport execUpdateReport(UpdateReportConfig config)
                                  throws ReportException

  Execute the update report

  Parameters:
    `config` - update report config
  Returns:
    update report
  Throws:
    `ReportException` - an error occured

### execWeeklyKeyStatisticsReport

    public KeyStatisticsReport execWeeklyKeyStatisticsReport(KeyStatisticsReportConfig config)
                                                      throws ReportException

  Execute the weekly key statistics report

  Parameters:
    `config` - key statistics report configuration
  Returns:
    Weekly key statistics report
  Throws:
    `ReportException` - an error occured

### execYearlyKeyStatisticsReport

    public KeyStatisticsReport execYearlyKeyStatisticsReport(KeyStatisticsReportConfig config)
                                                      throws ReportException

  Execute the yearly key statistics report

  Parameters:
    `config` - key statistics report configuration
  Returns:
    Yearly key statistics report
  Throws:
    `ReportException` - an error occured

### getNextAssumedMatchRecords

    public AssumedMatchReport getNextAssumedMatchRecords()
                                                  throws ReportException

  To get the range of assumed match records

  Returns:
    AssumedMatchReport
  Throws:
    `ReportException` - an error occured

### getNextDeactivateRecords

    public DeactivateReport getNextDeactivateRecords()
                                              throws ReportException

  To get the range of Deactivated records

  Returns:
    Next Deactivate Records
  Throws:
    `ReportException` - an error occured

### getNextMergeRecords

    public MergeReport getNextMergeRecords()
                                    throws ReportException

  To get the range of Merged records

  Returns:
    Next Merge Records
  Throws:
    `ReportException` - an error occured

### getNextPotDupRecords

    public PotentialDuplicateReport getNextPotDupRecords()
                                                  throws ReportException

  To get range of potential duplicate records

  Returns:
    Next Potential Duplicate records
  Throws:
    `ReportException` - an error occured

### getNextUnmergeRecords

    public UnmergeReport getNextUnmergeRecords()
                                        throws ReportException

  To get the range of Unmerged records

  Returns:
    Next Unmerge Records
  Throws:
    `ReportException` - an error occured

### getNextUpdateRecords

    public UpdateReport getNextUpdateRecords()
                                      throws ReportException

  To get the range of Updated records

  Returns:
    Next Update Records
  Throws:
    `ReportException` - an error occured

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.